package com.yida.data.common.core.utils;

import com.yida.data.common.core.exception.FebsException;

/**
 * 断言工具
 */
public class Asserts {

    public static void isTrue(boolean flag, String msg) {
        if (!flag) {
            throw new FebsException(msg);
        }
    }

    public static void isFalse(boolean flag, String msg) {
        if (flag) {
            throw new FebsException(msg);
        }
    }

    public static void isNull(Object target, String msg) {
        if (target != null) {
            throw new FebsException(msg);
        }
    }

    public static void isNotNull(Object target, String msg) {
        if (target == null) {
            throw new FebsException(msg);
        }
    }

    public static void isNotNull(String msg, Object... target) {
        for (Object o : target) {
            if (o == null) {
                throw new FebsException(msg);
            }
        }
    }
}
